package com.yuchen.saas.parking.api.feign;

import com.yuchen.saas.parking.api.vo.OpenGateCommand;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

/**
 * @author 黄辉
 * @version 1.0
 * @date 2021/5/14 16:05
 */
@Component
public class ParkingScreenClientFallback implements ParkingScreenClient {
	@Override
	public R sendGateCommand(OpenGateCommand openGateCommand) {
		return R.fail("查询失败");
	}

	@Override
	public R sendNoPlateExitEvent(Long parkingId, String plateNo) {
		return R.fail("无牌车放行事件发送失败");
	}
}
